Subject: [bug#28398] Xfburn

From: [email-masked] (Ludovic Courtès)
Date: Fri, 01 Dec 2017 15:13:21 +0100

Hi Thomas,

"Thomas Schmitt" <[email-masked]> skribis:

> ng0 wrote:
>> I've applied your suggestions
>> and the ones Christopher had a while back in this new version
>> of the patches.
>
> The inappropriate word "mastering" is still in one of the two description
> texts in the libburn patch
>
>> +    (synopsis "Library for reading and writing optical discs")
>> +    (description
>> +     "Libburn is a library for reading, mastering and writing optical discs.
>
>
> (It is also still in the description of the current Debian package. But
>  that's only due to the long release cycle. The next Debian package will
>  state what is committed by
>    https://anonscm.debian.org/viewvc/pkg-libburnia/trunk/libburn/debian/control?r1=428&r2=430
> )

For the record, for GNU packages we stick to the GNU description as
maintained in the Womb and ‘guix lint’ makes sure we do:

  http://cvs.savannah.gnu.org/viewvc/*checkout*/womb/gnumaint/pkgblurbs.txt

However in this case our Xorriso description seems to differ.  Are you
OK with the one in pkgblurbs.txt above?  If not, can you provide a
suggestion?

> GNU xorriso versus libisoburn's xorriso:
>
> The only known application of libisofs' ACL capabilities is xorriso. It can
> record ACLs as part of backups and restore them back to disk. Operating
> systems are supposed to ignore the ACL info when mounting and reading
> libisofs made filesystems.
>
> Guix currently packages GNU xorriso, which brings own source copies of
> libburn, libisofs, libisoburn, and libjte.
>
> When libburn and libisofs are established as Guix packages and the decision
> is made that Debian's Jigdo ISO download mechanism is not desired, one should
> consider to package libisoburn and to install its dynamically linked xorriso
> binary.

Indeed, we should do that.

> Reason for the existence of GNU xorriso is mainly that it can be compiled
> and installed by a normal user without interfering with system-wide installed
> libburn and libisofs. This provides freedom from distro decisions and delays.

As package maintainers our choice is to *not* use bundled software in
such cases, though.  Is it the only difference between the two xorrisos?

Thanks for your feedback, it’s useful guidance!

Ludo’.